%define name pptpd
%define ver 1.0.0 
%define rel 1
%define prefix /usr

Summary: A PPTP server daemon.
Name: %{name}
Version: %{ver}
Release: %{rel}
Copyright: GPL
Group: Applications/Internet
Source: http://www.moretonbay.com/vpn/releases/%{name}-%{ver}.tgz
URL: http://www.moretonbay.com/vpn/pptp.html
Buildroot: /var/tmp/%{name}-root

%description
PPTPd, Point-to-Point Tunnelling Protocol Daemon, offers out
connections to pptp clients to become virtual members of the IP pool
owned by the pptp server.  In effect, these clients become virtual
members of the local subnet, regardless of what their real IP address
is.  A tunnel is built between the pptp server and client, and packets
from the subnet are wrapped and passed between server and client
similar to other C/S protocols.

%prep
%setup -q

%build
./configure --prefix=%{prefix}
make 

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc
make prefix=$RPM_BUILD_ROOT%{prefix} install
install -m 0644 samples/pptpd.conf $RPM_BUILD_ROOT/etc/pptpd.conf

strip $RPM_BUILD_ROOT/%{prefix}/sbin/* || :

%post
OUTD="" ; for i in d manager ctrl ; do
    test -x /usr/bin/pptp$i && OUTD="$OUTD /usr/bin/pptp$i" ;
done
test -z "$OUTD" || \
{ echo "possible outdated executable detected; you should do run the following command:"; echo "rm -i $OUTD" ;}

echo "pptp:35:respawn:/usr/sbin/pptpd -f # pptpd-0.9.9-1" >> /etc/inittab
init Q

%postun
cat /etc/inittab > /tmp/inittab.pptpd
grep -v "pptpd-0.9.9-1$" /tmp/inittab.pptpd > /etc/inittab
rm -f /tmp/inittab.pptpd
init Q



%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL README* TODO html samples
/usr/sbin/pptpd
/usr/sbin/pptpctrl
%config /etc/pptpd.conf

%changelog
* Tue Nov 23 1999 Tim Powers <timp@redhat.com>
- added "%config /etc/pptpd.conf" back to spec
- updated to 1.0.0

* Mon Aug 30 1999 Tim Powers <timp@redhat.com>
- changed group

* Wed Aug 4 1999 Tim Powers <timp@redhat.com>
- started changelog
- quiet setup
- changed prefix to be /usr instead of /usr/local
- added buildroot
- fixed %install section so that it uses buildroot
- updated source to 0.9.10
- built to be included into Powertools
- spec based heavily on spec by "Allan's Package-O-Matic Blenderfier"
